Skip to content
Start here

Kick participants from an active session

realtime_kit.active_session.kick_participants(strmeeting_id, ActiveSessionKickParticipantsParams**kwargs) -> ActiveSessionKickParticipantsResponse
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/kick

Kicks one or more participants from an active session using user ID or custom participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
custom_participant_ids: SequenceNotStr[str]
participant_ids: SequenceNotStr[str]
ReturnsExpand Collapse
class ActiveSessionKickParticipantsResponse:
data: Optional[Data]
action: Optional[str]
participants: Optional[List[DataParticipant]]
id: str

ID of the session participant

created_at: str
updated_at: str
email: Optional[str]

Email of the session participant.

name: Optional[str]

Name of the session participant.

picture: Optional[str]

A URL pointing to a picture of the participant.

success: Optional[bool]

Kick participants from an active session

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.active_session.kick_participants(
    meeting_id="meeting_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
    custom_participant_ids=["string"],
    participant_ids=["string"],
)
print(response.data)
{
  "data": {
    "action": "action",
    "participants": [
      {
        "id": "id",
        "created_at": "created_at",
        "updated_at": "updated_at",
        "email": "email",
        "name": "name",
        "picture": "picture"
      }
    ]
  },
  "success": true
}
{
  "error": {
    "code": 404,
    "message": "No user found with id 813432c7-3c5a-45e2-9acf-eef7061c7584"
  },
  "success": false
}
Returns Examples
{
  "data": {
    "action": "action",
    "participants": [
      {
        "id": "id",
        "created_at": "created_at",
        "updated_at": "updated_at",
        "email": "email",
        "name": "name",
        "picture": "picture"
      }
    ]
  },
  "success": true
}
{
  "error": {
    "code": 404,
    "message": "No user found with id 813432c7-3c5a-45e2-9acf-eef7061c7584"
  },
  "success": false
}